@import "../theme/theme";

.drop-area {
    height: 100px;
    width: 100%;
    border: 2px dashed $gray-light;
    margin-bottom: 20px;
    position: relative;
    > div {
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, -50%);
        i {
            margin-right: 10px;
        }
    }
}

.upload-item {
    height: 80px;
    margin-bottom: 10px;
    .progress-wrapper {
        margin-top: 10px;
        margin-bottom: 5px;
        box-sizing: border-box;
        background-color: $gray-light;
        padding: 5px;
        height: 25px;
        border-radius: 15px;
        .progress {
            transition: width 0.2s;
            background-color: $brand-primary;
            width: 50%;
            height: 100%;
            border-radius: 10px;
        }
    }

    .upload-thumb {
        width: 100%;
        height: 100%;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center center;
    }

    .status-header {
        font-weight: 800;
        font-size: 14pt;
        //position: relative;
        button {
            //position: absolute;
            //right: 0;
            font-size: 9pt;
            font-weight: normal;
            padding: 5px !important;
            padding-left: 10px !important;
            padding-right: 10px !important;
            //top: 0;
            margin-left: $spacing-xxsmall;
        }
    }

    .clearfix {
        padding-left: 5px;
        padding-right: 5px;
        opacity: 0.75;
    }

    .status-text {
        float: left;
        max-width: 175px;
        text-overflow: ellipsis;
        overflow: hidden;
        white-space: nowrap;
    }

    .percentage-text {
        float: right;
    }
}
